@echo off

set ffmpeg_info1=ffmpeg version N-36241-g6071e4d, Copyright (c) 2000-2011 the FFmpeg developers
set ffmpeg_info2=  built on Dec 29 2011 14:04:12 with gcc 4.4.2 (Ubuntu 10.04 LTS)

set ffdir=.\
set ffmpeg=%ffdir%\ffmpeg.exe

echo %ffmpeg_info1% > %ffdir%\ffmpeg_help.txt
echo %ffmpeg_info2% >> %ffdir%\ffmpeg_help.txt
echo. >> %ffdir%\ffmpeg_help.txt
%ffmpeg% -version >> %ffdir%\ffmpeg_help.txt
%ffmpeg% -h >> %ffdir%\ffmpeg_help.txt

echo %ffmpeg_info1% > %ffdir%\ffmpeg_INFO.txt
echo %ffmpeg_info2% >> %ffdir%\ffmpeg_INFO.txt
echo. >> %ffdir%\ffmpeg_INFO.txt
%ffmpeg% -version >> %ffdir%\ffmpeg_INFO.txt
echo. >> %ffdir%\ffmpeg_INFO.txt
echo FFmpeg home page: http://ffmpeg.org >> %ffdir%\ffmpeg_INFO.txt
echo. >> %ffdir%\ffmpeg_INFO.txt

%ffmpeg% -formats > %ffdir%\ffmpeg_formats.txt
%ffmpeg% -codecs > %ffdir%\ffmpeg_codecs.txt
%ffmpeg% -bsfs > %ffdir%\ffmpeg_bsfs.txt
%ffmpeg% -protocols > %ffdir%\ffmpeg_protocols.txt
%ffmpeg% -sample_fmts > %ffdir%\ffmpeg_sample_fmts.txt
%ffmpeg% -filters > %ffdir%\ffmpeg_filters.txt
%ffmpeg% -pix_fmts > %ffdir%\ffmpeg_pix_fmts.txt


pause